Bug 1553368

Summary: pk-command-not-found fails after timeout when repository is behind a proxy
Product: [Fedora] Fedora Reporter: Jacob Keller <jacob.e.keller>
Component: PackageKitAssignee: Richard Hughes <rhughes>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 27CC: jonathan, klember, rdieter, rhughes, smparrish
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-30 20:18:33 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jacob Keller 2018-03-08 18:20:06 UTC
Description of problem:
/usr/libexec/pk-command-not-found fails to load repositories to lookup commands, due to the fact that the system is behind a proxy.

Version-Release number of selected component (if applicable):
PackageKit 1.1.8-1.fc27
dnf 2.7.5-2.fc27

How reproducible:
Always

Steps to Reproduce:
1. Setup a system behind a network proxy
2. Configure dnf to connect to the repositories through proxy, or export proxy environment variables
3. attempt to lookup a command using the pk-command-not-found and notice that it stalls with a timeout when unable to access the repository.

Actual results:
typing unknown commands and expecting hints about the command fails, leaving the bash stalled for a few seconds while pk-command-not-found attempts to access the repository.

Expected results:
command not failed lookup and hints behave as expected even though the services are behind a proxy


Additional info:

/usr/libexec/pk-command-not-found even fails when the environment variables are configured, so even setting proxy in the environment still fails.

Comment 1 Ben Cotton 2018-11-27 16:42:23 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 20:18:33 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.